Summary: NEC uPD720150 Host Controller driver
Name: ymh-d720150_host_drv
Version: 0.0.4
Release: %{_hhl_build_id}.1
Group: System Environment/Kernel
License: GPL
Vendor: Yamaha Corporation
Source: d720150-host-drv-%{version}.tar.gz
Prefix: %{_hhl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root

%description
NEC uPD720150 Host Controller driver

Summary: NEC uPD720150 Host Controller driver
Group: System Environment/Kernel
AutoReqProv: no
%description -n %{name}
NEC uPD720150 Host Controller driver for NGS/Linux system.

%prep
%setup -n d720150-host-drv-%{version}

%target_check

%build
%target_setup
%make

%install
%target_setup
rm -rf %{buildroot}
%make modules_install INSTALL_MOD_PATH=%{buildroot}%{_hhl_cross_target_dir} INSTALL_MOD_DIR=kernel/drivers/usb/host

%clean
rm -rf %{buildroot}

%files -n %{name}
%defattr(-,root,root)
%{_hhl_cross_target_dir}/lib/modules/2.6.10_mvl401-s84x-mips2_fp_le/kernel/drivers/usb/host/d150-hcd.ko

%changelog
* Mon Nov 14 2011 Masao Ishibashi <ishiba@emi.yamaha.co.jp> 
- Added the exclusive control.
- Correcting register address.
* Tue Apr 26 2011 Masao Ishibashi <ishiba@emi.yamaha.co.jp> 
- Added the functions of d150h_testmode, d150h_poweron_port1.
* Fri Apr 22 2011 Masao Ishibashi <ishiba@emi.yamaha.co.jp> 
- Added the call functions of the peripheral driver.
* Tue Apr 12 2011 Masao Ishibashi <ishiba@emi.yamaha.co.jp> 
- Initial release for S84X.
